## md-whois-5.5.4.tar.gz

=== po/Makefile ===
prefix = /usr

ifdef DESTDIR
BASEDIR := $(DESTDIR)
endif

INSTALL= install

INSTALLNLSDIR=$(BASEDIR)$(prefix)/share/locale

PACKAGE = whois

CATALOGS = cs.mo da.mo de.mo el.mo es.mo eu.mo fi.mo fr.mo it.mo ja.mo nb.mo pl.mo pt_BR.mo ru.mo zh_CN.mo

POTFILES=../whois.c ../mkpasswd.c

all: $(PACKAGE).pot $(CATALOGS)

$(PACKAGE).pot: $(POTFILES)
	xgettext --default-domain=$(PACKAGE) \
       	  --add-comments --keyword=_ --keyword=N_ $(POTFILES)
	if cmp -s $(PACKAGE).po $(PACKAGE).pot; then \
	  rm -f $(PACKAGE).po; \
	else \
	  mv $(PACKAGE).po $(PACKAGE).pot; \
	fi

update-po: $(PACKAGE).pot
	for cat in $(CATALOGS); do \
	  lang=`echo $$cat | sed 's/.mo$$//'`; \
	  mv $$lang.po $$lang.old.po; \
	  echo "$$lang:"; \
	  if msgmerge $$lang.old.po $(PACKAGE).pot -o $$lang.po; then \
	    rm -f $$lang.old.po; \
	  else \
    	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$lang.po; mv $$lang.old.po $$lang.po; \
	  fi; \
	done

%.mo: %.po
	msgfmt --statistics --check --verbose --output-file=$@ $<

clean:
	rm -f *.mo

distclean: clean
	rm -f whois.pot

install: $(CATALOGS)
	for n in $(CATALOGS); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l/LC_MESSAGES; \
	    $(INSTALL) -m 644 $$n $(INSTALLNLSDIR)/$$l/LC_MESSAGES/$(PACKAGE).mo; \
	done

=== debian/changelog ===
whois (5.5.4) unstable; urgency=medium

  * Updated the .vu TLD server.
  * Updated the list of new gTLDs.
  * Added the charset for whois.ripe.net.
  * Added support for the referrals in answers from whois.registry.in.
  * Implemented support for passing raw $salts$.
  * Fixed and updated many hiding string.
  * Cleaned up the text and typesetting of the man pages. (Closes: #945622)

 -- Marco d'Itri <md@linux.it>  Tue, 31 Dec 2019 03:04:15 +0100

whois (5.5.3) unstable; urgency=medium

  * Added the new 2630:0000::/12 IPv6 assignment to ARIN.
  * Updated the .xxx TLD server.
  * Updated the list of new gTLDs.
  * Converted the Debian packaging to dh.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Nov 2019 21:33:50 +0100

whois (5.5.2) unstable; urgency=medium

  * Added the .xn--qxa6a (.ευ, European Union, Greek) TLD server.
  * Updated the .td TLD server.
  * Updated one or more translations.

 -- Marco d'Itri <md@linux.it>  Wed, 02 Oct 2019 23:44:49 +0200

whois (5.5.1) unstable; urgency=medium

  * Updated the .ge TLD server.
  * Updated one or more translations.

 -- Marco d'Itri <md@linux.it>  Sun, 18 Aug 2019 19:47:55 +0200

whois (5.5.0) unstable; urgency=medium

  * Implemented the -I option to query whois.iana.org and use its referrals.
    (Closes: #774603)
  * Updated one or more translations. (Closes: #931336, #931244)
  * Automatically generate the version string sent to servers because I
    kept forgetting to update it with new releases.
  * Updated the .zm TLD server.
  * Added new recovered IPv4 allocations.

 -- Marco d'Itri <md@linux.it>  Fri, 19 Jul 2019 11:31:42 +0200

whois (5.4.3) unstable; urgency=medium

  * Added the new 2a10:0000::/12 IPv6 assignment to RIPE.

 -- Marco d'Itri <md@linux.it>  Wed, 12 Jun 2019 15:03:56 +0200

whois (5.4.2) unstable; urgency=medium

  * Added the .ss and .xn--mgbah1a3hjkrd (موريتانيا, Mauritania) TLD
    servers.
  * Updated the .in TLD and related IDN TLDs servers.
  * Updated the .fm TLD server.

 -- Marco d'Itri <md@linux.it>  Thu, 28 Mar 2019 00:48:28 +0100

whois (5.4.1) unstable; urgency=medium

  * Added the .mw TLD server.
  * Updated one or more translations.

 -- Marco d'Itri <md@linux.it>  Sun, 27 Jan 2019 04:48:53 +0100

whois (5.4.0) unstable; urgency=medium

  * Added support for the new libxcrypt 4.x.
    This allows mkpasswd to support many modern password hash methods.
  * Renamed the hash types (i.e. the arguments to -H) to use the naming 
    convention established by John the Ripper.
  * Made mkpasswd use entropy gathered by crypt_gensalt(3), when available.
  * Fixed many portability bugs in mkpasswd.
  * Added the .gp TLD server.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Fri, 26 Oct 2018 18:32:49 +0200

whois (5.3.2) unstable; urgency=medium

  * Added the .ge TLD server.
  * Updated the charset for whois.nic.cl. (Closes: #900047)
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Sun, 15 Jul 2018 12:38:42 +0200

whois (5.3.1) unstable; urgency=medium

  * mkpasswd: support passwords of arbitrary length. (Closes: #899254)
  * Added the .ls TLD server. (Closes: #896452)
  * Added support for -bzh and -uanic NIC handles.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Tue, 22 May 2018 15:32:28 +0200

whois (5.3.0) unstable; urgency=medium

  * Implemented querying for ip6.arpa domains.
  * Updated the .pr TLD servers.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Sun, 21 Jan 2018 01:23:45 +0100

whois (5.2.20) unstable; urgency=medium

  * Added the .mr TLD server.
  * Removed the .bs TLD server.
  * Updated the .ai, .gh, .gr, .kw, .ls, .ph, .sb, .com.uy and .vn TLD
    servers.

 -- Marco d'Itri <md@linux.it>  Wed, 27 Dec 2017 03:15:27 +0100

whois (5.2.19) unstable; urgency=medium

  * Switched do libidn2.
  * Adopted getentropy(2) for mkpasswd on recent Linux.
  * Updated the .id and .museum TLD servers.
  * Removed the .dj TLD server.

 -- Marco d'Itri <md@linux.it>  Sun, 10 Dec 2017 17:16:58 +0100

whois (5.2.18) unstable; urgency=medium

  * Fixed an unitialised variable which used to break querying the
    Verisign registry servers with parameters.
  * Do not request domains only when querying the Verisign registry
    servers for a hostname.
  * Fixed the program return code for queries like
    "nameserver name.example.com".

 -- Marco d'Itri <md@linux.it>  Tue, 22 Aug 2017 16:45:02 +0200

whois (5.2.17) unstable; urgency=high

  * Fixed whois referrals for .com, .net, .jobs, .bz, .cc and .tv, broken
    by an ICANN-mandated output change:
    https://www.icann.org/resources/pages/rdds-labeling-policy-2017-02-01-en
  * Added the .xn--2scrj9c (ಭಾರತ, India), .xn--3hcrj9c (ଭାରତ, India),
    .xn--45br5cyl (ভাৰত, India), .xn--h2breg3eve (भारतम्, India),
    .xn--h2brj9c8c (भारोत, India), .xn--mgbbh1a (ﺏﺍﺮﺗ, India),
    .xn--mgbgu82a (ڀﺍﺮﺗ, India) and .xn--rvc1e0am3e (ഭാരതം, India)
    TLD servers.
  * Updated the list of new gTLDs.
  * whois.1: fixed a typo. (Closes: #866742)

 -- Marco d'Itri <md@linux.it>  Thu, 27 Jul 2017 17:08:47 +0200

whois (5.2.16) unstable; urgency=medium

  * Fixed parsing of 6to4 addresses broken in 5.2.15.
  * Updated the .do TLD server.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Mon, 13 Mar 2017 01:40:38 +0100

whois (5.2.15) unstable; urgency=medium

  * Updated the .gf and .mq TLD servers.
  * Updated the list of new gTLDs.
  * Updated the charset for whois.nic.kz.
  * Fixed multiple portability issues on non-Linux platforms.
  * Fixed a lot of minor compiler warnings with no practical effects.
  * Added support for libidn2, not enabled yet.

 -- Marco d'Itri <md@linux.it>  Mon, 27 Feb 2017 00:37:41 +0100

whois (5.2.14) unstable; urgency=medium

  * Updated the .ar, .bm and .fm TLD servers.
  * Updated the Afilias hiding string to fix hiding for the new .bm server.

 -- Marco d'Itri <md@linux.it>  Thu, 29 Dec 2016 23:12:19 +0100

whois (5.2.13) unstable; urgency=medium



=== debian/control ===
Source: whois
Section: net
Priority: standard
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 4.3.0.1
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10), gettext, libidn2-dev (>= 2.0.3)
Vcs-Git: git://github.com/rfc1036/whois.git
Vcs-Browser: https://github.com/rfc1036/whois

Package: whois
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: intelligent WHOIS client
 This package provides a commandline client for the WHOIS (RFC 3912)
 protocol, which queries online servers for information such as contact
 details for domains and IP address assignments.
 It can intelligently select the appropriate WHOIS server for most queries.
 .
 The package also contains mkpasswd, a features-rich front end to the
 password encryption function crypt(3).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) CONFIG_FILE="/etc/whois.conf" HAVE_ICONV=1
